Open Lighting Architecture: ola::messaging::SchemaPrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::messaging::SchemaPrinter Class Reference

## Detailed Description

This visitor prints the schema as a string.

Inheritance diagram for ola::messaging::SchemaPrinter:

## Public Member Functions
| SchemaPrinter (bool include_intervals=true, bool include_labels=true, unsigned int indent_size=DEFAULT_INDENT)
bool | Descend () const
std::string | AsString ()
void | Reset ()
void | Visit (const BoolFieldDescriptor *)
void | Visit (const IPV4FieldDescriptor *)
void | Visit (const MACFieldDescriptor *)
void | Visit (const UIDFieldDescriptor *)
void | Visit (const StringFieldDescriptor *)
void | Visit (const UInt8FieldDescriptor *)
void | Visit (const UInt16FieldDescriptor *)
void | Visit (const UInt32FieldDescriptor *)
void | Visit (const Int8FieldDescriptor *)
void | Visit (const Int16FieldDescriptor *)
void | Visit (const Int32FieldDescriptor *)
void | Visit (const FieldDescriptorGroup *)
void | PostVisit (const FieldDescriptorGroup *)

## Member Function Documentation

## ◆ Descend()

bool ola::messaging::SchemaPrinter::Descend | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ PostVisit()

void ola::messaging::SchemaPrinter::PostVisit | ( | const FieldDescriptorGroup * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::messaging::SchemaPrinter::Visit | ( | const BoolFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::messaging::SchemaPrinter::Visit | ( | const FieldDescriptorGroup * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::messaging::SchemaPrinter::Visit | ( | const Int16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::messaging::SchemaPrinter::Visit | ( | const Int32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::messaging::SchemaPrinter::Visit | ( | const Int8FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::messaging::SchemaPrinter::Visit | ( | const IPV4FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::messaging::SchemaPrinter::Visit | ( | const MACFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::messaging::SchemaPrinter::Visit | ( | const StringFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::messaging::SchemaPrinter::Visit | ( | const UIDFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::messaging::SchemaPrinter::Visit | ( | const UInt16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::messaging::SchemaPrinter::Visit | ( | const UInt32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::messaging::SchemaPrinter::Visit | ( | const UInt8FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following files:

- include/ola/messaging/SchemaPrinter.h
- common/messaging/SchemaPrinter.cpp